Subject: Re: [patch 2.6.11] bonding: avoid tx balance for IGMP (alb/tlb mode)

From: "John W. Linville" <[email-masked]>
Date: Wed, 16 Mar 2005 09:37:45 -0500

On Tue, Mar 15, 2005 at 04:52:14PM -0800, Rick Jones wrote:
> Is that switch behaviour "normal" or "correct?"  I know next to nothing 

As Jay Vosburgh points-out, this patch only effects ALB and TLB modes.
These are modes where the link partner is unaware of the bonded
configuration.  In effect, we are tricking the switch into behaving
the way we desire.

Since the switch is unaware of our bonded behaviour, I think it makes
sense to accomodate this quirk related to IGMP snooping.

John
-- 
John W. Linville
[email-masked]